Bug 696658

Summary: move samples out of top level directory from distro
Product: [Other] RHQ Project Reporter: John Mazzitelli <mazz>
Component: Build SystemAssignee: RHQ Project Maintainer <rhq-maint>
Status: NEW --- QA Contact: Mike Foley <mfoley>
Severity: low Docs Contact:
Priority: low    
Version: 4.0.0.Beta1CC: hrupp, jkandasa
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1234651 (view as bug list) Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 585306, 1234651    

Description John Mazzitelli 2011-04-14 10:41:07 EDT
We should keep the top level install directory relatively clean and not make it 
a dumping ground. There is a alert-scripts top level location that is related to the server-side scriptlang plugin. Is that even supported or working? I never used it and never tried it.

I don't think it warrants a top level directory for an example script and a readme. We should move that down into the etc/ directory.
Comment 1 John Mazzitelli 2011-04-14 11:18:53 EDT
turns out this is more than just the location of samples/examples of alert scripts. This is the actual directory where the server side script looks for its scripts to run.

will leave this as is, but would like QA to test this feature. If the server side script doesn't work we should scrub this.
Comment 2 Mike Foley 2011-09-09 14:23:00 EDT
i think that directory is associated with this experimental ruby plugin.

http://pilhuhn.blogspot.com/2009/12/new-experimental-ruby-script-plugin-for.html
Comment 3 Mike Foley 2011-09-09 14:40:26 EDT
recommendation is to delete this directory, at least in the JON distribution.
Comment 4 Mike Foley 2011-09-09 15:01:54 EDT
email sent to RHQ-Devel list to inquire about the original purpose and current usefulness of this directory...as follows:

Hi,

I am inquiring about the purpose of a top-level directory named "alert-scripts".    I am curious about its original purpose, and whether the directory is useful to anyone at this time.

There are two files in this directory, as follows:

    * README.txt  ... with the contents "This directory contains scripts for the scriptlang alert sender.
      Currently JRuby and JavaScript are supported."
    * example.rb .... which contains a Ruby script.

I think this directory is associated with an experimental Ruby script plugin described at this location:   http://www.rhq-project.org/display/RHQ/2009/12/08/New+experimental+%28Ruby%29+script+plugin

Does anyone utilize this Ruby Script plug-in?

The reason I ask is that there is some discussion around the removal of this directory.

Thanks,

Michael Foley


_______________________________________________
rhq-devel mailing list
rhq-devel@lists.fedorahosted.org
https://fedorahosted.org/mailman/listinfo/rhq-devel